; ===========================
; SG1000
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "88db2b3e-89d0-465d-89eb-72fd33b3cd8f"
name = "sg1000"
fullname = "Sega SG1000"
theme.folder = "sg1000"
roms.folder = "%ROOT%/sg1000"
screenscraper.id = 109
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/consoles/sg-1000"
doc.link.en = "https://wiki.recalbox.com/en/emulators/consoles/sg-1000"
port = 0
readonly = 0
icon.unicode = $F269

[properties]
type = console
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = no
release.date = "1983-07"
manufacturer = "Sega"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 1

[core.0]
package = BR2_PACKAGE_LIBRETRO_GENESISPLUSGX
priority = 1
emulator = "libretro"
core = "genesisplusgx"
extensions = ".sg .zip .7z"
netplay = 1
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.1]
package = BR2_PACKAGE_LIBRETRO_GEARSYSTEM
priority = 2
emulator = "libretro"
core = "gearsystem"
extensions = ".bin .sg .zip .7z"
netplay = 1
softpatching = 0
compatibility = high
speed = high

[core.2]
package = BR2_PACKAGE_LIBRETRO_FBNEO
priority = 3
emulator = "libretro"
core = "fbneo"
extensions = ".zip .7z"
netplay = 1
softpatching = 0
compatibility = high
speed = high

[core.3]
package = BR2_PACKAGE_LIBRETRO_BLUEMSX
priority = 4
emulator = "libretro"
core = "bluemsx"
extensions = ".sc .sg .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
